> ## Documentation Index
> Fetch the complete documentation index at: https://docs.primeintellect.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Cluster Node Logs

> Return paginated ClusterNodeLog entries for one cluster, newest first.



## OpenAPI

````yaml https://api.primeintellect.ai/openapi.json get /api/admin/clusters/{cluster_id}/node-logs
openapi: 3.1.0
info:
  title: PI API
  version: 0.1.0
servers:
  - url: https://api.primeintellect.ai
security: []
paths:
  /api/admin/clusters/{cluster_id}/node-logs:
    get:
      tags:
        - admin-clusters
      summary: List Cluster Node Logs
      description: Return paginated ClusterNodeLog entries for one cluster, newest first.
      operationId: list_cluster_node_logs_api_admin_clusters__cluster_id__node_logs_get
      parameters:
        - name: cluster_id
          in: path
          required: true
          schema:
            type: string
            title: Cluster Id
        - name: podId
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter logs to a single pod.
            title: Podid
          description: Filter logs to a single pod.
        - name: eventType
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/ClusterNodeLogEventTypeEnum'
              - type: 'null'
            description: Filter logs to a single event type.
            title: Eventtype
          description: Filter logs to a single event type.
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            description: Number of items to skip.
            default: 0
            title: Offset
          description: Number of items to skip.
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            description: Max items to return (1-100, default 20).
            default: 20
            title: Limit
          description: Max items to return (1-100, default 20).
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GenericPaginationResponse_list_ClusterNodeLogEntry__
        '401':
          description: Authorization failed
        '403':
          description: Insufficient permissions
        '422':
          description: Invalid request data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    ClusterNodeLogEventTypeEnum:
      type: string
      enum:
        - ATTACHED
        - UPDATED
        - DETACHED
        - CLUSTER_UPDATED
        - CLUSTER_TERMINATED
        - AUTHORIZATION
      title: ClusterNodeLogEventTypeEnum
    GenericPaginationResponse_list_ClusterNodeLogEntry__:
      properties:
        total_count:
          type: integer
          title: Total Count
          description: Total number of items available in the dataset
          default: 0
        offset:
          type: integer
          minimum: 0
          title: Offset
          description: Number of items to skip before starting to collect the result set
          default: 0
        limit:
          type: integer
          minimum: 0
          title: Limit
          description: Maximum number of items to return
          default: 100
        data:
          items:
            $ref: '#/components/schemas/ClusterNodeLogEntry'
          type: array
          title: Data
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
          description: Response status
      type: object
      required:
        - data
      title: GenericPaginationResponse[list[ClusterNodeLogEntry]]
    ErrorResponse:
      properties:
        errors:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Errors
      type: object
      required:
        - errors
      title: ErrorResponse
    ClusterNodeLogEntry:
      properties:
        id:
          type: string
          title: Id
        eventType:
          type: string
          title: Eventtype
        createdAt:
          type: string
          format: date-time
          title: Createdat
        podId:
          anyOf:
            - type: string
            - type: 'null'
          title: Podid
        podName:
          type: string
          title: Podname
        podStatus:
          type: string
          title: Podstatus
        gpuName:
          type: string
          title: Gpuname
        gpuCount:
          type: integer
          title: Gpucount
        host:
          anyOf:
            - type: string
            - type: 'null'
          title: Host
        role:
          anyOf:
            - type: string
            - type: 'null'
          title: Role
        changeSummary:
          anyOf:
            - type: string
            - type: 'null'
          title: Changesummary
      type: object
      required:
        - id
        - eventType
        - createdAt
        - podName
        - podStatus
        - gpuName
        - gpuCount
      title: ClusterNodeLogEntry
      description: One ClusterNodeLog row (matches the frontend Node History dialog).
    ErrorDetail:
      properties:
        param:
          type: string
          title: Param
        details:
          type: string
          title: Details
      type: object
      required:
        - param
        - details
      title: ErrorDetail
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````